Subject: bug#52178: 29.0.50; process-environment not used in async-shell-command

From: Damien Merenne <[email-masked]>
Date: Mon, 29 Nov 2021 20:34:10 +0000

Le lun. 29 nov. 2021 à 14:38, Lars Ingebrigtsen <[email-masked]> a écrit :
> Do you have a complete case to reproduce the
> problem, starting from "emacs -Q"?
So indeed I thought I was able to reprodce it in `emacs -Q` but it was
due to the bug in my snippet.
Now I can't reproduce it anyore with `emacs -Q`.

The `process-environment` seems to be switch to a buffer-local
variable due to some autoload
because right after initialization, its still a normal variable. At
some point I do something and
whoops, it is converted to a buffer local...

I'll try to find what's triggering it but its not obvious.

-- 
Damien Merenne <[email-masked]>